%define upstream_name    Goo-Canvas
%define upstream_version 0.06

# Newx calls Perl_croak_nocontext with a char * without "%s", may be
# valid or not but it isn't fixable here, keep this until perl is fixed 
%define Werror_cflags %nil


Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:	%mkrel 31

Summary:	Goo::Canvas Perl interface to the GooCanvas
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/authors/id/Y/YE/YEWENBIN/%{upstream_name}-%{upstream_version}.tar.gz
Patch1:		Goo-Canvas-implicit-function-declaration.patch
BuildRequires:	pkgconfig(goocanvas)
BuildRequires:	perl(ExtUtils::Depends)
BuildRequires:	perl(ExtUtils::PkgConfig)
BuildRequires:	perl(Glib)
BuildRequires:	perl(Gtk2)
BuildRequires:	perl-devel

%{?perl_default_filter}

%description
GTK+ doesn't has an built-in canvas widget. GooCanvas is wonderful. It is
easy to use and has powerful and extensible way to create items in
canvas. Just try it.  For more documents, please read GooCanvas Manual
and the demo programs provided in the source distribution in both
perl-Goo::Canvas and GooCanvas.

%prep
%autosetup -p1 -n %{upstream_name}-%{upstream_version}

%build
# fix build:
export PERL_USE_UNSAFE_INC=1
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make}

%check
%{__make} test

%install
%make_install
rm -f %{buildroot}/usr/bin/perltetris.pl
rm -f %{buildroot}/usr/bin/perlmine.pl

%files
%doc Changes README META.yml
%dir %{perl_vendorarch}/Goo/Cairo
%dir %{perl_vendorarch}/Goo/Canvas
%{perl_vendorarch}/Goo/*.pod
%{perl_vendorarch}/Goo/*.pm
%{perl_vendorarch}/Goo/Cairo/*.pod
%{perl_vendorarch}/Goo/Canvas/*.pod
%{perl_vendorarch}/Goo/Canvas/Install/*
%{perl_vendorarch}/auto/Goo/Canvas/Canvas.so
%{_mandir}/*/*


%changelog
* Fri Aug 23 2024 tv <tv> 0.60.0-31.mga10
+ Revision: 2089398
- Rebuild for perl-5.40

* Tue Mar 26 2024 wally <wally> 0.60.0-30.mga10
+ Revision: 2052335
- fix build even though we could drop the whole pkg

* Thu Nov 30 2023 tv <tv> 0.60.0-29.mga10
+ Revision: 2011548
- Rebuild for perl-5.38

* Tue Jun 07 2022 umeabot <umeabot> 0.60.0-28.mga9
+ Revision: 1863254
- Rebuild for Perl 5.36

* Fri Apr 01 2022 umeabot <umeabot> 0.60.0-27.mga9
+ Revision: 1838623
- Mageia 9 Mass Rebuild

* Mon May 24 2021 umeabot <umeabot> 0.60.0-26.mga9
+ Revision: 1727676
- Rebuild for perl 5.34

* Thu Jun 18 2020 tv <tv> 0.60.0-25.mga8
+ Revision: 1596458
- rebuild for perl-5.32

* Sat Feb 15 2020 umeabot <umeabot> 0.60.0-24.mga8
+ Revision: 1529103
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Tue Aug 27 2019 tv <tv> 0.60.0-23.mga8
+ Revision: 1433086
- rebuild with perl-5.30

* Fri Sep 21 2018 umeabot <umeabot> 0.60.0-22.mga7
+ Revision: 1293017
- Mageia 7 Mass Rebuild

* Wed Aug 08 2018 pterjan <pterjan> 0.60.0-21.mga7
+ Revision: 1249403
- Rebuild for perl 5.28

* Mon Oct 02 2017 tv <tv> 0.60.0-20.mga7
+ Revision: 1164588
- rebuild with fixed rpm for missing autodeps

* Thu Aug 31 2017 pterjan <pterjan> 0.60.0-19.mga7
+ Revision: 1150093
- Rebuild for perl ABI changes

* Sat Jul 22 2017 tv <tv> 0.60.0-18.mga7
+ Revision: 1128395
- fix build with perl 5.26
- rebuild for perl 5.26
+ neoclust <neoclust>
- Rebuild against new Perl 5.26

* Sun Jun 19 2016 pterjan <pterjan> 0.60.0-15.mga6
+ Revision: 1027956
- Rebuild for perl 5.22.2

* Tue Feb 16 2016 umeabot <umeabot> 0.60.0-14.mga6
+ Revision: 962013
- Mageia 6 Mass Rebuild

* Fri Jun 26 2015 tv <tv> 0.60.0-13.mga6
+ Revision: 844882
- rebuild for soname-ifed perl

* Tue Jun 23 2015 tv <tv> 0.60.0-12.mga6
+ Revision: 841063
- rebuild for perl-5.22

* Wed Oct 15 2014 umeabot <umeabot> 0.60.0-11.mga5
+ Revision: 745805
- Second Mageia 5 Mass Rebuild

* Tue Sep 30 2014 tv <tv> 0.60.0-10.mga5
+ Revision: 732192
- add exclude

* Tue Sep 16 2014 umeabot <umeabot> 0.60.0-9.mga5
+ Revision: 684887
- Mageia 5 Mass Rebuild

* Tue Jun 03 2014 jquelin <jquelin> 0.60.0-8.mga5
+ Revision: 632442
- perl 5.20.0 rebuild

* Sat Oct 19 2013 umeabot <umeabot> 0.60.0-7.mga4
+ Revision: 524641
- Mageia 4 Mass Rebuild

* Wed May 29 2013 jquelin <jquelin> 0.60.0-6.mga4
+ Revision: 431197
- perl 5.18.0 rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-5.mga3
+ Revision: 367842
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed May 30 2012 jquelin <jquelin> 0.60.0-4.mga3
+ Revision: 250679
- rebuild for perl 5.16

* Mon Sep 05 2011 fwang <fwang> 0.60.0-3.mga2
+ Revision: 138623
- rebuild for updated perl build flags

* Sun Jun 12 2011 sander85 <sander85> 0.60.0-2.mga2
+ Revision: 104613
- Rebuild for perl 5.14

* Mon Jan 24 2011 jquelin <jquelin> 0.60.0-1.mga1
+ Revision: 36910
- mageia rebuild
- imported package perl-Goo-Canvas

